# Class DamageBoostAbAttr

Class for abilities that boost the damage of moves For abilities that boost the base power of moves, see VariableMovePowerAbAttr

#### Param: damageMultiplier

the amount to multiply the damage by

#### Param: condition

the condition for this ability to be applied

#### Hierarchy (view full)

- PreAttackAbAttr
  - DamageBoostAbAttr

- Defined in src/data/ability.ts:1064

#####
Index

### Constructors

constructor

### Properties

condition
damageMultiplier
showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new DamageBoostAbAttr(damageMultiplier, condition): DamageBoostAbAttr

- #### Parameters

  - damageMultiplier: number
  - condition: PokemonAttackCondition

  #### Returns DamageBoostAbAttr

  Overrides PreAttackAbAttr.constructor

  - Defined in src/data/ability.ts:1068

## Properties

### `Private` condition

condition: PokemonAttackCondition

- Defined in src/data/ability.ts:1066

### `Private` damageMultiplier

damageMultiplier: number

- Defined in src/data/ability.ts:1065

### showAbility

showAbility: boolean

Inherited from PreAttackAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreAttackAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default

    the attacker pokemon

  - passive: boolean

    N/A

  - defender: default

    the target pokemon

  - move: default

    the move used by the attacker pokemon

  - args: any[]

    Utils.NumberHolder as damage

  #### Returns boolean

  true if the function succeeds

  Overrides PreAttackAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1083

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137